<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>

</head>

<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" style="background-image: url('images/mainbg.gif');">
  <tr>
    <td width="255" valign="top"><table width="255"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="126" align="center" background="images/logo_bg.gif" style="padding-left:10px;padding-right:10px;"><table  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" alt="" hspace="2" border="0"/></a></td>
            <td class="company" align="left"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
          </tr>
          <tr>
            <td class="slogan" align="left"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td height="216" valign="top" background="images/submenu_bg.gif" style="padding-left:34px;padding-top:38px;padding-bottom:49px;">
		<table width="174"  border="0" cellspacing="0" cellpadding="0" >
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
        </table>
		</td>
      </tr>
      <tr>
        <td><img src="images/submenu_bottom.gif" width="255" height="18"/></td>
      </tr>
      <tr>
        <td><img src="images/bg.gif" width="255" height="185"/></td>
      </tr>
    </table></td>
    <td height="100%" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td align="center" bgcolor="#FFFFFF">
			<table  border="0" cellspacing="1" cellpadding="0">

     <xsl:call-template name="TOP-MENU"/>

            </table>
			</td>
            <td width="14" align="right"><img src="images/menu_r.gif" width="14" height="78"/></td>
          </tr>
        </table></td>
        <td width="43"><img src="" width="43" height="1" alt=""/></td>
      </tr>
      <tr>
        <td align="right" bgcolor="#FFFFFF"><img src="images/headers.jpg" width="481" height="237"/></td>
        <td></td>
      </tr>
      <tr>
        <td height="100%" style="padding-top:23px;"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="20">
          <tr>
            <td><table  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                <td><img src="images/icon.gif" width="17" height="17" hspace="10"/></td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td height="100%" valign="top" class="pageContent"><xsl:apply-templates select="PAGE-CONTENT"/></td>
          </tr>
        </table></td>
        <td></td>
      </tr>
      <tr>
        <td height="42" class="footer" style="padding-left:20px;"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
        <td></td>
      </tr>
    </table></td>
  </tr>
</table>

</BODY>
</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td style="padding-left: 12px; width: 100%;" bgcolor="#767676"><a href="{@HREF}" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				<td height="30"  bgcolor="#767676" style="padding-right:10px;"><img src="images/sub_bullet.gif" border="0" alt=""/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td style="padding-left: 12px; width: 100%;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td height="30" style="padding-right:10px;"><a href="{@HREF}"><img src="images/sub_bullet.gif" border="0" alt=""/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
		
			<td align="center"><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			
			<td align="center" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            
           </xsl:when>
           <xsl:otherwise>
		   
			<td align="center"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="30" align="center" rowspan="2"><img src="images/bmenu_separator.gif" /></td>
			
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>

