<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" bottommargin="0" rightmargin="0">
		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif"><tr><td>
        <table cellpadding="0" cellspacing="0" border="0" width="780" height="100%" class="alltable">
        <tr height="383">
        <td colspan="2" class="visual" style="background-image: url('images/header.jpg'); background-repeat: no-repeat;">
        	<table cellpadding="0" cellspacing="0" border="0" width="780" height="383">
        	<tr>
        	<td rowspan="2" width="304" height="383" valign="top">
        		<table cellpadding="0" cellspacing="0" border="0" width="270" height="185">
        		<tr>
        		<td valign="middle" align="center">
        			<a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a><br />
        			<div class="mycompany"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div>
        			<div class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div>
        		</td>
        		</tr>
        		</table>
        	</td>
        	<td width="476" height="106" valign="middle" style="background-color:  #5D5D5D; background-image: url(images/menu_bgrpt.gif); background-position: bottom left;">
        		<!-- CALL TOP-MENU -->
        		<xsl:call-template name="TOP-MENU"/>
        	</td>
        	</tr>
        	<tr>
        	<td width="476" height="277"></td>
        	</tr>
        	</table>
        </td>
        </tr>

        <tr height="12">
        <td colspan="2" style="background-image:url(images/between.gif); background-position: top left; background-repeat: no-repeat;"></td>
        </tr>

        <tr height="100%">
        <td rowspan="2" width="220" valign="top">
        	<div style="width:220px; height:0px;"><spacer/></div>
        	<table cellpadding="0" cellspacing="0" border="0" width="100%" style="background-color:  #A42B3E; background-image: url(images/2ndmenu_top.gif); background-position: top right; background-repeat: no-repeat;">
        	<tr>
        	<td style="padding:31px 23px 0px 23px;">
        		<!-- second menu -->
        		<!-- CALL SUB-MENU -->
        		<xsl:call-template name="SUB-MENU">
        			<xsl:with-param name="pageID" select="@ID"/>
        		</xsl:call-template>
        		<!-- second menu-->
        	</td>
        	</tr>
        	<tr height="105"><td style="background-image:url(images/2ndmenu_bottom.gif); background-position: top left; background-repeat: no-repeat;"></td></tr>
        	</table>
        </td>
        <td valign="top" style="padding:3px 125px 0px 59px;">
        	<table cellpadding="0" cellspacing="0" border="0" width="100%">
        	<tr height="56">
        	<td class="pageheader">
        		<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        	</td>
        	</tr>
        	<tr>
        	<td class="thatext" width="560">
        		<table cellpadding="0" cellspacing="0" border="0">
        			<tr><td width="430" class="thatext">
		        		<xsl:apply-templates select="PAGE-CONTENT"/>
        			</td></tr>
        		</table>
        	</td>
        	</tr>
        	</table>
        </td>
        </tr>

        <tr height="105">
        <td style="padding:38px 20px 20px 50px;" valign="top">
        	<table cellpadding="0" cellspacing="0" border="0">
        	<tr>
        	<td class="copy">
        		<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
        	</td>
        	</tr>
        	</table>
        </td>
        </tr>
        </table>
		</td></tr></table>
        </body>
		</html>

	</xsl:template>

   				
	<!--TOP-MENU-->
   				
   				
	<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>			
	</xsl:template>
  

	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
    			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>

   				
	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
