<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" class="main-bg" style="width: 100%; height: 100%;">
	<TR>
		<TD height="100%" name="SB_stretch" valign="top">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                <tr valign="top">
                    <td style="background-image: url('images/lbg.gif');">
                        <table cellpadding="0" cellspacing="0" border="0" style="width: 287px; height: 100%; background-image: url('images/lbg_t.jpg'); background-repeat: no-repeat;">
                            <tr>
                                <td height="150" style="padding-left: 70px;">
                            		<!-- LOGO -->
              						<table cellpadding="0" cellspacing="0">
              							<tr>
              								<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0" style="margin-right: 5px;"/></a></td>
              								<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
              							</tr>
              							<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
              						</table>
                            		<!-- END LOGO -->
                                </td>
                            </tr>
                            <tr valign="top">
                                <td height="100%" style="padding-left: 75px;">
                              		<!-- MENU -->
                          			<table cellpadding="0" cellspacing="0" width="180">
                                        <xsl:call-template name="TOP-MENU"/>
                                        <tr><td></td><td colspan="2"><div style="height:1px; background-color: #E3E3E3; "><span></span></div></td></tr>
                          			</table>
                              		<!-- END MENU -->
                              		<!-- SUBMENU -->
                          			<table cellpadding="0" cellspacing="0" width="180">
                                        <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
                          			</table>
                              		<!-- END SUBMENU -->
                                </td>
                            </tr>
                        </table>
                    </td>
                    <td width="100%">
                        <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                            <tr>
                                <td height="65" style="background-color: #B6B6B6; background-image: url('images/bg_t.gif');"></td>
                            </tr>
                            <tr><td><img src="images/header.jpg" border="0" alt=""/></td></tr>
                            <tr>
                                <td height="100%" style="padding: 30px; padding-left: 0;">
                                    <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                                        <tr>
                                            <td valign="top" class="pageContent" style="border-left: 1px solid #E3E3E3; padding-left: 30px;">
                                        		<!-- CONTENT -->
                                          		<table cellpadding="0" cellspacing="0" border="0">
                                          			<tr>
                                          				<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                                          				<td style="padding-left: 5px;"><img src="images/txtheader_bullet.gif" border="0" alt=""/></td>
                                          			</tr>
                                          		</table>
                                          		<div style="width:0px; height:15px;"><span></span></div>
                                          		<xsl:apply-templates select="PAGE-CONTENT"/>
                                        		<!-- END CONTENT -->
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                    </td>
                    <td style="background-image: url('images/rbg.gif');"><img src="images/rbg_t.jpg" border="0" alt="" width="83"/></td>
                </tr>
            </table>
		</TD>
	</TR>
	<TR>
		<TD height="71" bgcolor="#EBEBEB">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                <tr>
                    <td><img src="images/footer_l.gif" border="0" alt=""/></td>
                    <td width="100%" align="center" class="footer" style="background-image: url('images/footer_bg.gif'); padding-top: 5px;">
                		<!-- FOOTER -->
                        <xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
                		<!-- END FOOTER -->
                    </td>
                    <td><img src="images/footer_r.gif" border="0" alt=""/></td>
                </tr>
            </table>
		</TD>
	</TR>
</TABLE>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
				<tr>
                  <td class="submenu-bg"><div style="width:4px; height:30px;"><span></span></div></td>
					<td class="asubmenu" style="padding-left: 25px; width: 100%;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td align="right" style="padding: 0 25px 0 5px"><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
				</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
                  <td class="submenu-bg"><div style="width:4px; height:30px;"><span></span></div></td>
					<td style="padding-left: 25px; width: 100%;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td align="right" style="padding: 0 25px 0 5px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td></td><td colspan="2"><div style="height:1px; background-image: url('images/submenu_hr.gif'); background-repeat: repeat-x;"><span></span></div></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
