<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<xsl:include href="headers.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
        <TABLE WIDTH="100%" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0">
        	<TR>
        		<TD height="100%" valign="top" class="bg" style="background-image: url('images/top_bg.gif'); background-repeat: repeat-x;">
        		<!-- HEADER -->		
        			<table cellpadding="0" cellspacing="0" width="100%" height="100%">
        				<tr>
        					<td valign="top">
   							<xsl:attribute name="style"><xsl:call-template name="TOP"/></xsl:attribute>
        					<!-- TOP -->
        						<table cellpadding="0" cellspacing="0" style="margin: 47px 5px 0px 490px">
        							<tr>
        								<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
        								<td class="company" valign="bottom"><nobr><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></nobr></td>
        							</tr>
        							<tr>
        								<td class="slogan" valign="top"><nobr><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></nobr></td>
        							</tr>							
        						</table>	
        					<!-- END TOP -->
        					<!-- MENU -->
			        	
			        			<!-- CALL MAIN-MENU-->
        						<xsl:call-template name="TOP-MENU"/>

        					<!-- END MENU -->
        					<!-- SUBMENU -->

                				<!-- CALL SUB-MENU-->
				  				<table cellpadding="0" cellspacing="0" style="margin: 26px 5px 0px 445px">
									<tr>
		                				<xsl:call-template name="SUB-MENU">
		                					<xsl:with-param name="pageID" select="@ID"/>
		                				</xsl:call-template>
										<td>&#160;</td>
									</tr>
								</table>

        					<!-- END SUBMENU -->
        					<!-- CONTENT -->
					<table cellpadding="0" cellspacing="0" border="0" style="width: 100%;">
						<tr>
							<td style="padding: 72px 0px 30px 175px">
        						<table width="100%" border="0" cellpadding="0" cellspacing="0">
        							<tr>
        								<td style="background-image: url('images/bg.gif'); background-repeat: repeat-x; ">
        									<table cellpadding="0" cellspacing="0" width="100%" border="0">
        										<tr>
        											<td><img src="images/text_header_left.gif"/></td>
        											<td class="text-header" height="31"  style="background-image: url('images/text_header_bg.gif'); background-repeat: repeat-x;"><nobr><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></nobr></td>
        											<td><img src="images/text_header_right.gif"/></td>
        											<td width="100%"></td>
        										</tr>
        										<tr>
        											<td colspan="4" style="padding: 15px 20px 0px 35px;">
        												<table cellpadding="0" cellspacing="0" width="100%">
        													<tr>
        														<td class="text">
											
											        				<xsl:apply-templates select="PAGE-CONTENT"/>

        														</td>
        													</tr>
        												</table>												
        											</td>
        										</tr>
        									</table>
        								</td>
        							</tr>
        						</table>	
							</td>
						</tr>
					</table>
        					<!-- END CONTENT -->					
        					</td>
        				</tr>
        			</table>
        		<!-- END HEADER -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" height="163"  class="footer-bg" style="background-image: url('images/footer_bg.gif'); background-repeat: repeat-x;">
        			<table cellpadding="0" cellspacing="0" width="100%" height="163">
        				<tr>
        					<td valign="top" width="296"><img src="images/footer_lbg.gif"/></td>
        					<td width="100%" valign="top">
        					<!-- BOTTOM MENU -->					

            					<!--CALL BOTTOM-MENU -->
            					<xsl:call-template name="BOTTOM-MENU"/>

        					<!-- END BOOTTOM MENU -->			
        					<!-- FOOTER -->								
        						<table height="13" cellpadding="0" cellspacing="0" style="margin: 50px 5px 0px 0px">
        							<tr>
        								<td class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
        							</tr>
        						</table>
        					<!-- END FOOTER -->
        					</td>
        				</tr>
        			</table>
        		</TD>
        	</TR>
        </TABLE>
        </BODY>

		</html>

	</xsl:template>


	<!--TOP-->


	<xsl:template name="TOP-MENU">
   		<table height="13" cellpadding="0" cellspacing="0" style="margin: 84px 5px 0px 445px">
   			<tr>
				<xsl:apply-templates select="MENU" mode="top"/>			
   			</tr>
   		</table>
	</xsl:template>
  

	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
						<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
					   <xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>



	<xsl:template name="BOTTOM-MENU">
   		<table height="13" cellpadding="0" cellspacing="0" style="margin: 60px 5px 0px 130px">
   			<tr>
    			<xsl:apply-templates select="MENU" mode="bottom"/>			
   			</tr>
   		</table>
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>


	<xsl:template match="MENU-ITEM"  mode="bottom">
			<xsl:choose>
            <!-- when vizited inside-->
            	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
	   				<td><a href="{@HREF}" class="abmenu"><nobr><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></nobr></a></td>
                </xsl:when>
                <!-- when active-->
                <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
	   				<td><font class="abmenu"><nobr><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></nobr></font></td>
                </xsl:when>
                <xsl:otherwise>
	   				<td><a href="{@HREF}" class="bmenu"><nobr><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></nobr></a></td>
                </xsl:otherwise>
            </xsl:choose>
			<xsl:if test="position()!=last()">
   				<td><img src="images/bmenu_separator.gif" style="margin: 0px 5px 0px 5px"/></td>
			</xsl:if>
	</xsl:template>



	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
