<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:output method="html" indent="no"/>
  <xsl:strip-space elements="*"/>
  <!--MENU-->
  <xsl:template match="MENU" mode="top">
    <xsl:apply-templates select="MENU-ITEM"  mode="top"/>
  </xsl:template>

  <!--MENU-ITEM-->
  <xsl:template match="MENU-ITEM"  mode="top">
    <xsl:choose>
      <!-- active menu with link-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
        <td>
          <a href="{@HREF}">
            <img src="images/topmenu.jpg" border="0" />
          </a>
        </td>
        <td style="padding-left: 4px">
          <a href="{@HREF}" class="menu">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </a>
        </td>
      </xsl:when>
      <!-- active menu without link-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
        <td>
          <img src="images/topmenu.jpg" />
        </td>
        <td style="padding-left: 4px" class="menu">
          <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        </td>
      </xsl:when>
      <xsl:otherwise>
        <td>
          <a href="{@HREF}">
            <img src="images/atopmenu.jpg" border="0" />
          </a>
        </td>
        <td style="padding-left: 4px">
          <a href="{@HREF}" class="amenu">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </a>
        </td>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <td>
        <div style="width: 16px">
        </div>
      </td>
    </xsl:if>
  </xsl:template>

</xsl:stylesheet>
