<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

  <xsl:output method="html" indent="no"/>
  <xsl:strip-space elements="*"/>
  <xsl:include href="buttons.xsl"/>

  <xsl:template match="LAYOUT">
    <xsl:variable name="cID" select="@ID"/>
    <html>
      <head>
        <link href="css/styles.css" rel="stylesheet" type="text/css"/>
        <title>
          <xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        </title>
        <xsl:apply-templates select="META-TAGS"/>
      </head>
      <body leftmargin="0" rightmargin="0" topmargin="0" bottommargin="0">
        <table width="100%" height="100%" cellpadding="0" cellspacing="0" border="0">
          <tr>
            <td height="235px" width="100%">
              <table width="100%" height="100%" cellpadding="0" cellspacing="0" border="0">
                <tr>
                  <td height="165px" width="100%">
                    <table width="100%" height="100%" cellpadding="0" cellspacing="0" border="0">
                      <tr>
                        <td height="165px" width="29px" style="vertical-align: top; background-image: url(images/vap-66_01.jpg);">
                          <div style="width: 29px">
                          </div>
                        </td>
                        <td width="100%" style="background-image: url(images/vap-66_01.jpg);">
                          <table width="100%" height="100%" cellpadding="0" cellspacing="0" border="0">
                            <tr>
                              <td height="165px" width="100%" style="background-image: url(images/vap-66_02.jpg); background-position: right; background-repeat:no-repeat; text-align: left; padding-right:20px;padding-left:20px" valign="middle">
                                <table cellpadding="0" cellspacing="0" border="0">
                                  <tr>
                                    <td>
                                      <a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a>
                                    </td>
                                    <!--COMPANY NAME-->
                                    <td style="padding-left:8px; padding-right:5px;text-align:center" class="company">
                                      <xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
                                    </td>
                                    <!--END COMPANY NAME-->
                                    <td>
                                      <img src="images/logohr.gif" />
                                    </td>
                                    <!--SLOGAN-->
                                    <td style="padding-left:8px;padding-right:5px;text-align:center" class="slogan">
                                      <xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
                                    </td>
                                    <!--END SLOGAN-->
                                  </tr>
                                </table>
                                <div style="width: 351px">
                                </div>
                              </td>
                            </tr>
                          </table>
                        </td>
                        <td height="165px" width="350px" style="vertical-align: top; background-image: url(images/header.jpg);">
                          <div style="width: 350px">
                          </div>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
                <tr>
                  <td height="70px" width="100%">
                    <table width="100%" height="100%" cellpadding="0" cellspacing="0" border="0">
                      <tr>
                        <td height="40px" width="100%" colspan="3" style="background-image: url(images/topmenubg.jpg); padding-left:29px" valign="middle" align="left">
                          <table cellpadding="0" cellspacing="0" border="0">
                            <!--TOP MENU-->
                            <tr>
                              <xsl:call-template name="TOP-MENU"/>
                            </tr>
                            <!--END TOP MENU-->
                          </table>
                        </td>
                      </tr>
                      <tr>
                        <td height="30px" width="100%" style="vertical-align: top; background-image: url(images/vap-66_06.jpg);">
                          <div style="width: 69px">
                          </div>
                        </td>
                        <td height="30px" width="361px" style="vertical-align: top; background-image: url(images/vap-66_07.jpg);">
                          <div style="width: 361px">
                          </div>
                        </td>
                        <td height="30px" width="350px" style="background-image: url(images/topmenubg2.jpg);
                                        vertical-align: top;">
                          <div style="width: 350px">
                          </div>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td height="100%" width="100%" style="background-color: #343434">
              <table width="100%" height="100%" cellpadding="0" cellspacing="0" border="0">
                <tr>
                  <td height="68px" width="252px" style="background-image: url(images/vap-66_08.jpg);
                            vertical-align: top; padding-left: 20px">
                    <div style="width: 232px">
                    </div>
                    <table cellpadding="0" cellspacing="0" border="0">
                      <tr>
                        <td>
                          <img src="images/submenu.gif" />
                        </td>
                        <!--TEXT HEADER-->
                        <td style="padding-left: 6px" class="text-header ">
                          <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>:
                        </td>
                        <!--END TEXT HEADER-->
                      </tr>
                    </table>
                  </td>
                  <td height="68px" width="100%" style="vertical-align: top; ">
                    <div style="width: 362px">
                    </div>
                  </td>
                  <td height="68px" width="166px" style="background-image: url(images/vap-66_10.jpg);
                            vertical-align: top; ">
                    <div style="width: 166px">
                    </div>
                  </td>
                </tr>
                <tr>
                  <td colspan="2" height="100%" width="100%">
                    <table width="100%" height="100%" cellpadding="0" cellspacing="0" border="0">
                      <tr>
                        <td height="100%" width="55px" style="vertical-align: top; ">
                          <div style="width: 55px; height: 133px">
                          </div>
                        </td>
                        <!--CONTENT-->
                        <td height="100%" width="100%" style="vertical-align: top;padding-left:10px;padding-right:10px" class="pageContent" name="SB_stretch">
                          <xsl:apply-templates select="PAGE-CONTENT"/>
                        </td>
                        <!--END CONTENT-->
                      </tr>
                    </table>
                  </td>
                  <td height="100%" width="166px" style="vertical-align: top; ">
                    <table cellpadding="0" cellspacing="0" border="0" width="166px">
                      <tr>
                        <td style="background-color: #646464; background-position: right bottom; background-image: url(images/vap-66_12.jpg);background-repeat: no-repeat; padding-left: 18px; padding-right: 30px" height="167px" valign="top">
                          <!--SUB MENU-->
                          <table width="118px" cellpadding="0" cellspacing="0" border="0">
                            <xsl:call-template name="SUB-MENU">
                              <xsl:with-param name="pageID" select="@ID"/>
                            </xsl:call-template>
                          </table>
                          <!--END SUB MENU-->
                        </td>
                      </tr>
                      <tr>
                        <td style="background-image: url(images/vap-66_13.jpg)" height="27px" width="166px">
                          
                        </td>
                        
                      </tr>
                    </table><div style="width: 166px">
                          </div>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td height="62px" width="100%" style="background-color: #4b4b4b; padding-top:15px;padding-left:20px; padding-right:20px" align="center" valign="top">
              <table border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <xsl:call-template name="BOTTOM-MENU"/>
                </tr>
              </table>
              <table border="0" cellpadding="0" cellspacing="0" height="35px">
                <tr>
                  <td colspan="3" align="center" valign="middle" class="footer" style="padding-top:5px; padding-bottom:5px">
                    <xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
      </body>
    </html>

  </xsl:template>


  <xsl:template name="TOP-MENU">
    <xsl:apply-templates select="MENU" mode="top"/>
  </xsl:template>


  <xsl:template name="SUB-MENU">
    <xsl:param name="pageID"/>
    <xsl:choose>
      <xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
        <xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
      </xsl:when>
      <xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
        <xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
        <xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
      </xsl:when>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="MENU-ITEM" mode="sub">
    <xsl:choose>
      <xsl:when test="@ID=/LAYOUT/@ID" >
        <tr>
          	<td height= "3px" width="118px" colspan="2"></td>
          </tr> 
        <tr>
          <td height="19px" width="16px">
            <img src="images/submenu.gif" />
          </td>
          <td height="19px" width="102px" style="padding-left: 6px" align="left" class="submenu ">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </td>
        </tr>
        <tr>
          	<td height= "3px" width="118px" colspan="2"></td>
          </tr> 
      </xsl:when>
      <xsl:otherwise>
        <xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
          <tr>
          	<td height= "3px" width="118px" colspan="2"></td>
          </tr> 
          <tr>
            <td height="19px" width="16px">
              <a href="{@HREF}">
                <img src="images/submenu.gif" border="0" />
              </a>
            </td>
            <td height="19px" width="102px" style="padding-left: 6px" align="left">
              <a href="{@HREF}" class="asubmenu ">
                <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
              </a>
            </td>
          </tr>
          <tr>
            <td height= "3px" width="118px" colspan="2"></td>
          </tr> 
          </xsl:if>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <tr>
        <td height="1px" width="118px" colspan="2" style="background-color: #797979">
        </td>
      </tr>
    </xsl:if>
  </xsl:template>

  <xsl:template name="BOTTOM-MENU">
    <xsl:apply-templates select="MENU" mode="bottom"/>
  </xsl:template>

  <xsl:template match="MENU" mode="bottom">
    <xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
  </xsl:template>

  <xsl:template match="MENU-ITEM"  mode="bottom">
    <xsl:choose>
      <!-- when vizited inside-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
        <td style="padding-left:16; padding-right:15px;text-align: center">
          <a href="{@HREF}" class="abmenu">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </a>
        </td>
      </xsl:when>
      <!-- when active-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
        <td style="padding-left:16; padding-right:15px;text-align: center" class="bmenu">
          <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        </td>
      </xsl:when>
      <xsl:otherwise>
        <td style="padding-left:16; padding-right:15px;text-align: center">
          <a href="{@HREF}" class="abmenu">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </a>
        </td>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <td>
        <img src="images/bottom.jpg" />
      </td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="META-TAGS">
    <xsl:apply-templates mode="meta-tags"/>
  </xsl:template>

  <xsl:template match="*" mode="meta-tags">
    <meta name="{local-name(.)}">
      <xsl:attribute name="content">
        <xsl:value-of select="."/>
      </xsl:attribute>
    </meta>
  </xsl:template>


  <xsl:template match="PAGE-CONTENT">
    <xsl:comment> EDITABLE CONTENT </xsl:comment>
    <xsl:apply-templates mode="meta-tags"/>
  </xsl:template>

</xsl:stylesheet>

